Skip to main content
`Ctrl`+`K`

# VecStashGetInfo

Gets how many values are currently in the vector stash, i.e. need to be communicated to other processors during the `VecAssemblyBegin()`/`VecAssemblyEnd()` process

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStashGetInfo(Vec vec, PetscInt *nstash, PetscInt *reallocs, PetscInt *bnstash, PetscInt *breallocs)

Not Collective

## Input Parameter

- vec - the vector

## Output Parameters

- nstash - the size of the stash

- reallocs - the number of additional mallocs incurred in building the stash

- bnstash - the size of the block stash

- breallocs - the number of additional mallocs incurred in building the block stash (from `VecSetValuesBlocked()`)

## See Also

Vectors and Parallel Data, `Vec`, `VecAssemblyBegin()`, `VecAssemblyEnd()`, `VecStashSetInitialSize()`, `VecStashView()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages